=== debian/watch ===
version=3
https://github.com/tavendo/AutobahnPython/tags .*/v(\d[\d\.]+)\.tar\.gz
