## python-autobahn 0.10.3%2Bdfsg1

=== examples/twisted/websocket/echo_variants/Makefile ===
client:
	PYTHONPATH=../../../../autobahn python client.py ws://127.0.0.1:9000 debug
