=== debian/changelog ===
python-autobahn (0.10.3+dfsg1-5) unstable; urgency=medium

  * Stop using py.test-X.Y (Closes: #814846).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 05:57:17 +0000

python-autobahn (0.10.3+dfsg1-4) unstable; urgency=medium

  * Do not break python-twisted 15.x: applied upstream patch. (Closes: #810155)
  * VCS fields using HTTPS urls.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 05:07:10 +0000

python-autobahn (0.10.3+dfsg1-3) unstable; urgency=medium

  * Removed Victor Vasiliev <vasilvv@mit.edu> from uploaders (Closes: #795882).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 10:54:20 +0000

python-autobahn (0.10.3+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2015 13:47:56 +0200

python-autobahn (0.10.3+dfsg1-1) experimental; urgency=medium

  * New upstream release. (Closes: #780061, #730796)
  * Now team maintaining the package within the OpenStack team, added Victor as
    uploader, set VCS URLs (see #780061 where Victor agrees with this).
  * Now running unit tests at build time.
  * Package is now +dfsg1 because of non-free files in the example folder.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 10:42:55 +0200
