=== examples/asyncio/wamp/basic/Makefile ===
all:
	@echo "Targets: s1-s14, f1-f14, b1-b14"


s:
	PYTHONPATH=../../../../autobahn python3 server.py


s1:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.timeservice.backend.Component"

f1:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.timeservice.frontend.Component"

b1:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.timeservice.backend.Component"


s2:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.slowsquare.backend.Component"

f2:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.slowsquare.frontend.Component"

b2:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.slowsquare.backend.Component"


s3:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.arguments.backend.Component"

f3:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.arguments.frontend.Component"

b3:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.arguments.backend.Component"


s4:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.options.backend.Component"

f4:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.options.frontend.Component"

b4:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.options.backend.Component"


s5:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.errors.backend.Component"

f5:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.errors.frontend.Component"

b5:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.errors.backend.Component"


s6:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.complex.backend.Component"

f6:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.complex.frontend.Component"

b6:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.complex.backend.Component"


s7:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.progress.backend.Component"

f7:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.progress.frontend.Component"

b7:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.progress.backend.Component"


s8:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.decorators.backend.Component"

f8:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.decorators.frontend.Component"

b8:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.decorators.backend.Component"


s9:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.basic.backend.Component"

f9:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.basic.frontend.Component"

b9:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.basic.backend.Component"


s10:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.complex.backend.Component"

f10:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.complex.frontend.Component"

b10:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.complex.backend.Component"


s11:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.options.backend.Component"

f11:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.options.frontend.Component"

b11:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.options.backend.Component"


s12:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.unsubscribe.backend.Component"

f12:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.unsubscribe.frontend.Component"

b12:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.unsubscribe.backend.Component"


s13:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.decorators.backend.Component"

f13:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.decorators.frontend.Component"

b13:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.decorators.backend.Component"


s14:
	PYTHONPATH=../../../../autobahn python3 server.py --component "session.series.backend.Component"

f14:
	PYTHONPATH=../../../../autobahn python3 client.py --component "session.series.frontend.Component"

b14:
	PYTHONPATH=../../../../autobahn python3 client.py --component "session.series.backend.Component"


client_session_fromoutside_backend:
	PYTHONPATH=../../../../autobahn python3 session/fromoutside/backend.py
