=== examples/asyncio/wamp/beginner/Makefile ===
test_server:
	PYTHONPATH="../../../../autobahn" ~/python34/bin/python3 server.py

test_client:
	PYTHONPATH="../../../../autobahn" ~/python34/bin/python3 client.py
