=== examples/asyncio/wamp/wamplet/wamplet1/Makefile ===
test:
	python3 wamplet1/component1.py
	
install:
	python3 setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info
