=== examples/twisted/wamp/wamplet/votegame/Makefile ===
test:
	python votegame/backend.py
	
install:
	python setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info
