=== debian/changelog ===
python-autobahn (0.10.3+dfsg1-7) unstable; urgency=medium

  * Added missing build-depends-indep: python3-mock (Closes: #825166).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 May 2016 13:29:12 +0000

python-autobahn (0.10.3+dfsg1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Added Python3 support (Closes: #822186).
  * Standards-Version is now 3.9.8 (no change).
  * Fix debian/copyright after upstream relicensed to Expat.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:21:58 +0000
