=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/tavendo/AutobahnPython.git
+UPSTREAM_GIT := https://github.com/tavendo/AutobahnPython.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -14,16 +14,18 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-autobahn; \
 	done
-#	set -e ; for pyvers in $(PYTHON3S); do \
-#		python$$pyvers setup.py install --install-layout=deb \
-#			--root $(CURDIR)/debian/python3-autobahn; \
-#	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-autobahn; \
+	done
 	rm -rf $(CURDIR)/debian/python*-autobahn/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	rm -rf build
-	PYTHONPATH=. python2.7 -m pytest
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		rm -rf build ; \
+		PYTHONPATH=. python$$i -m pytest ; \
+	done
 endif
