=== examples/twisted/wamp/Makefile ===
test:
	PYTHONPATH=../../.. python test_newapi3.py
