=== debian/changelog ===
python-autobahn (0.14.1+dfsg1-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add lintian override for missing JS sources: these are only the examples,
    which aren't even packaged in Debian.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jul 2016 13:27:58 +0000

python-autobahn (0.14.1+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #826364).
  * Fixed (build-)depends for this release.
  * Drop Work-around_old_vs._new_twisted_client-endpoint_parser.patch applied
    upstream.
  * Only attempt to run tests from autobahn (ie: exclude examples).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jun 2016 10:01:09 +0200
