=== debian/control ===
--- 
+++ 
@@ -5,45 +5,60 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
+               python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-concurrent.futures (>= 2.1.5),
+Build-Depends-Indep: python-cbor,
+                     python-concurrent.futures (>= 2.1.5),
+                     python-enchant,
                      python-lz4 (>= 0.2.1),
+                     python-mock (>= 1.3),
                      python-msgpack (>= 0.4.0),
-                     python-mock,
+                     python-nacl,
                      python-pytest (>= 2.6),
+                     python-qrcode,
                      python-six,
                      python-snappy (>= 0.5),
-                     python-trollius (>= 0.1.2),
+                     python-sphinx-rtd-theme,
+                     python-sphinxcontrib.spelling,
+                     python-trollius (>= 2.0),
                      python-twisted (>= 11.1),
-                     python-txaio (>= 1.0.0),
+                     python-txaio (>= 2.5.1),
+                     python-unittest2 (>= 1.1.0),
                      python-zope.interface (>= 3.6),
+                     python3-cbor,
+                     python3-enchant,
                      python3-lz4 (>= 0.2.1),
-                     python3-mock,
+                     python3-mock (>= 1.3),
                      python3-msgpack (>= 0.4.0),
+                     python3-nacl,
                      python3-pytest (>= 2.6.4),
                      python3-six,
                      python3-snappy (>= 0.5),
                      python3-twisted (>= 11.1),
-                     python3-txaio (>= 1.0.0),
+                     python3-txaio (>= 2.5.1),
+                     python3-unittest2 (>= 1.1.0),
                      python3-zope.interface (>= 3.6),
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-autobahn.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-autobahn.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-autobahn?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-autobahn -b debian/newton
 Homepage: http://autobahn.ws/python
 
 Package: python-autobahn
 Architecture: all
-Depends: python-concurrent.futures (>= 2.1.5),
+Depends: python-cbor,
+         python-concurrent.futures (>= 2.1.5),
          python-lz4 (>= 0.2.1),
          python-msgpack (>= 0.4.0),
+         python-nacl,
+         python-qrcode,
          python-six,
          python-snappy (>= 0.5),
-         python-trollius (>= 0.1.2),
+         python-trollius (>= 2.0),
          python-twisted (>= 11.1),
-         python-txaio (>= 1.0.0),
+         python-txaio (>= 2.5.1),
          python-zope.interface (>= 3.6),
          ${misc:Depends},
          ${python:Depends},
@@ -62,13 +77,15 @@
 
 Package: python3-autobahn
 Architecture: all
-Depends: python3-lz4 (>= 0.2.1),
+Depends: python3-cbor,
+         python3-lz4 (>= 0.2.1),
          python3-msgpack (>= 0.4.0),
+         python3-nacl,
          python3-six,
          python3-snappy (>= 0.5),
-         python3-trollius (>= 0.1.2),
+         python3-trollius (>= 2.0),
          python3-twisted (>= 11.1),
-         python3-txaio (>= 1.0.0),
+         python3-txaio (>= 2.5.1),
          python3-zope.interface (>= 3.6),
          ${misc:Depends},
          ${python3:Depends},
