=== debian/rules ===
--- 
+++ 
@@ -24,15 +24,13 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		rm -rf build ; \
-		PYTHONPATH=. python$$i -m pytest ; \
+		PYTHONPATH=. python$$i -m pytest autobahn ; \
 	done
 endif
-
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build twisted/plugins/dropin.cache
-
 
 # Commands not to run
 override_dh_installcatalogs:
