## python-autobahn 17.10.1%2Bdfsg1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,14 @@
 install:
 	# enforce use of bundled libsodium
 	export SODIUM_INSTALL=bundled
-	pip install --upgrade -e .[all,dev]
+	pip install --upgrade -e .[twisted,asyncio,serialization,encryption,dev]
+
+# upload to our internal deployment system
+upload: clean
+	python setup.py bdist_wheel
+	aws s3 cp --acl public-read \
+		dist/autobahn-*.whl \
+		s3://fabric-deploy/autobahn/
 
 # cleanup everything
 clean:
@@ -64,6 +71,9 @@
 test_twisted:
 	USE_TWISTED=1 trial autobahn
 	#WAMP_ROUTER_URL="ws://127.0.0.1:8080/ws" USE_TWISTED=1 trial autobahn
+
+test_serializer:
+	USE_TWISTED=1 trial autobahn.wamp.test.test_serializer
 
 test_twisted_coverage:
 	-rm .coverage
@@ -120,7 +130,7 @@
 
 # This will run pep8, pyflakes and can skip lines that end with # noqa
 flake8:
-	flake8 --ignore=E402,E501,N801,N802,N803,N805,N806 autobahn
+	flake8 --ignore=E402,E501,E722,E741,N801,N802,N803,N805,N806 autobahn
 
 # run PyLint
 pylint:
@@ -134,5 +144,36 @@
 find_unix_files:
 	find . -name "*" -exec dos2unix -tv {} \; 2>&1 | grep "Unix"
 
-find_tavendo:
-	find . -path ./.git -prune -o -type f -exec grep -Hi "tavendo" {} \; | grep -v "Copyright (c) Tavendo"
+# sudo apt install gource ffmpeg
+gource:
+	gource \
+	--path . \
+	--seconds-per-day 0.15 \
+	--title "autobahn-python" \
+	-1280x720 \
+	--file-idle-time 0 \
+	--auto-skip-seconds 0.75 \
+	--multi-sampling \
+	--stop-at-end \
+	--highlight-users \
+	--hide filenames,mouse,progress \
+	--max-files 0 \
+	--background-colour 000000 \
+	--disable-bloom \
+	--font-size 24 \
+	--output-ppm-stream - \
+	--output-framerate 30 \
+	-o - \
+	| ffmpeg \
+	-y \
+	-r 60 \
+	-f image2pipe \
+	-vcodec ppm \
+	-i - \
+	-vcodec libx264 \
+	-preset ultrafast \
+	-pix_fmt yuv420p \
+	-crf 1 \
+	-threads 0 \
+	-bf 0 \
+	autobahn-python.mp4
